GET community/get-community-information?community_short_name={community_short_name}&community_ID={community_ID}

Gets the basic information of a community

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

URI Parameters

NameDescriptionTypeAdditional information
community_short_name

string

Optional

community_ID

globally unique identifier

Optional

Response Information

Resource Description

NameDescriptionTypeAdditional information
name

Name

string

Required

short_name

Short name

string

Required

description

Brief Description

string

Required

tags

Tags (comma separated)

string

Required

type

Community's type

string

Required

access_type

Community's access type

integer

Optional

categories

Community's categories

Collection of globally unique identifier

Optional

users

Community's users

Collection of globally unique identifier

Optional

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "short_name": "sample string 2",
  "description": "sample string 3",
  "tags": "sample string 4",
  "type": "sample string 5",
  "access_type": 6,
  "categories": [
    "5ebed160-ad00-47ac-b8cf-73c2866cecf8",
    "96451d4b-2ec0-423c-9dfa-fe8b757dc308"
  ],
  "users": [
    "a962bf99-2324-4f85-a5ce-7d535dce53b0",
    "a947256d-c4e2-4722-aa08-3ba58880d2dc"
  ]
}

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...